------------------------------------------------------------------------------------
--Name:			191227[简体征服][任务脚本]忍者觉醒版本-忍者觉醒剧情任务
--Creator:		兰瑞妹
--Created:		2020/01/02
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>22
-- /chgmap 10764 195 146
-- 1.背景为妙木山
-- 2.玩家与TaekoSensei对话
-- 3.播放UltraSpaceMark光效，光效结束后出现Yiraiya
-- 4.玩家与Yiraiya对话，对话完成后玩家向下移动离开屏幕
-- 5.Yiraiya与TaekoSensei对话

-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(184, 134)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "Name", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "Newbie", 4003000001)

hero:SetPos(184, 134)
hero:SetDir(4)
-- 等待1000毫秒
-- CppScriptMgr:WaitMilSec(1000)
-- 设置玩家方向，[0, 7]-八方向
-- hero:SetDir(4)
-- hero:SetCtrlMapView(1)

local player0 = CppScriptMgr:AddSimplePlayer(23560, 183, 120, "TaekoSensei", 4003000083,1)
CppScriptMgr:WaitMilSec(1000)

hero:SetAction(200)
CppScriptMgr:WaitMilSec(1500)
-- CppScriptMgr:NpcCallOut("I`m here to ask for advice of learning the Eight Gates.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("I`m here to ask for advice of learning the Eight Gates.", 2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("I know. I found a perfect mentor for you.\nHe will arrive soon.\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc196", 150, 430, "TaekoSensei", 250, 655)
CppScriptMgr:WaitMilSec(2000)

-- UltraSpaceMark
local effectObj1 = CppScriptMgr:AddEffect("stipple_bdh", 181, 128)
local effectObj2 = CppScriptMgr:AddEffect("halo_shui_fir", 181, 128)
CppScriptMgr:WaitMilSec(2000)
local player1 = CppScriptMgr:AddSimplePlayer(23577, 181, 128, "Yiraiya", 4003000084,1)
CppScriptMgr:WaitMilSec(1000)
player1:SetDir(5)

CppScriptMgr:NpcCallOut("Yo! What do you want me for?\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc206", 150, 430, "Yiraiya", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("This is the boy that I talked about.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc196", 150, 430, "TaekoSensei", 250, 655)
CppScriptMgr:WaitMilSec(1000)
player1:SetDir(0)
CppScriptMgr:WaitMilSec(1000)
hero:SetAction(200)
CppScriptMgr:NpcCallOut("It`s painstaking to learn the Eight Gates. Go to get ready.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc206", 150, 430, "Yiraiya", 250, 655)
CppScriptMgr:WaitMilSec(2000)
-- CppScriptMgr:NpcCallOut("I will find you when I`m ready.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("I will find you when I`m ready.", 2000)
hero:SetAction(200)
CppScriptMgr:WaitMilSec(1000)
hero:JumpTo(239,135)
CppScriptMgr:WaitMilSec(2000)
player1:SetDir(5)
CppScriptMgr:NpcCallOut("Is this the son of prophecy?\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc206", 150, 430, "Yiraiya", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("<Shaking head>I`m not sure about it.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc196", 150, 430, "TaekoSensei", 250, 655)
CppScriptMgr:WaitMilSec(3000)
